import 'dart:async';

import 'package:flutter/services.dart';

class RingtoneHelper {
  static const MethodChannel _channel =
      const MethodChannel('ringtone_helper');

  static Future<String> getRingtoneSoundPath() async {
    return await _channel.invokeMethod('getRingtoneSoundPath');
  }

  static Future<String> getNotificationSoundPath() async {
    return await _channel.invokeMethod('getNotificationSoundPath');
  }

  static Future<bool> openSoundSettings() async {
    return await _channel.invokeMethod('openSoundSettings');
  }

  static Future<bool> scanNewFile(String filePath) async {
     return await _channel.invokeMethod('scanNewFile', {"filePath":filePath});
  }
}
